import request from '@/utils/request'

export function listExpress(query) {
  return request({
    url: 'logistics-company/page',
    method: 'get',
    params: query
  })
}

export function createExpress(data) {
  return request({
    url: 'logistics-company/add',
    method: 'post',
    data
  })
}

export function readExpress(data) {
  return request({
    url: 'logistics-company/info',
    method: 'get',
    data
  })
}

export function updateExpress(data) {
  return request({
    url: 'logistics-company/edit',
    method: 'post',
    data
  })
}

export function deleteExpress(query) {
  return request({
    url: 'logistics-company/remove',
    method: 'post',
    params: query
  })
}

export function setState(query) {
  return request({
    url: 'logistics-company/updateStatus',
    method: 'post',
    params: query
  })
}
